// Version: 1.0
// Author: JD
// Vendor: Actel
// Date: Thu Jul 21 19:25:51 PDT 2005
// Comment: Black Box model of the Arm Core with Timing Information


module A7S(CLK, CLKEN, nRESET,
ABORT, CFGBIGEND, CPA, CPB, DBGBREAK, DBGEN, DBGnTRST, DBGRQ, DBGTCKEN, DBGTDI, DBGTMS, nFIQ, nIRQ, RDATA, DBGEXT,
DMORE, LOCK, WRITE, ADDR, WDATA, SIZE, PROT, TRANS,
CPnI, CPnMREQ, CPnOPC, CPSEQ, CPTBIT, CPnTRANS,
DBGACK, DBGCOMMRX, DBGCOMMTX, DBGINSTRVALID, DBGnEXEC, DBGRNG, DBGnTDOEN, DBGTDO)


/* synthesis syn_black_box

pragma attribute A7S syn_tco0 CLK->ADDR[31:0]+54.3904000000161
pragma attribute A7S syn_tco1 CLK->WDATA[31:0]+23.648000000007
pragma attribute A7S syn_tco2 CLK->WRITE+53.2080000000158
pragma attribute A7S syn_tco3 CLK->SIZE[1:0]+53.2080000000158
pragma attribute A7S syn_tco4 CLK->PROT[1:0]+53.2080000000158
pragma attribute A7S syn_tco5 CLK->TRANS[1:0]+29.5600000000087
pragma attribute A7S syn_tco6 CLK->CPnMREQ+50.2520000000149
pragma attribute A7S syn_tco7 CLK->CPnOPC+50.2520000000149
pragma attribute A7S syn_tco8 CLK->CPSEQ+50.2520000000149
pragma attribute A7S syn_tco9 CLK->CPTBIT+53.2080000000158
pragma attribute A7S syn_tco10 CLK->CPnTRANS+50.2520000000149
pragma attribute A7S syn_tco11 CLK->CPnI+23.648000000007
pragma attribute A7S syn_tco12 CLK->DBGACK+23.648000000007
pragma attribute A7S syn_tco13 CLK->DBGCOMMRX+23.648000000007
pragma attribute A7S syn_tco14 CLK->DBGCOMMTX+23.648000000007
pragma attribute A7S syn_tco15 CLK->DBGINSTRVALID+23.648000000007
pragma attribute A7S syn_tco16 CLK->DBGnEXEC+23.648000000007
pragma attribute A7S syn_tco17 CLK->DBGRNG[1:0]+23.648000000007
pragma attribute A7S syn_tco18 CLK->DBGnTDOEN+11.8240000000035
pragma attribute A7S syn_tco19 CLK->DBGTDO+11.8240000000035
pragma attribute A7S syn_tco20 CLK->DMORE+53.2080000000158
pragma attribute A7S syn_tco21 CLK->LOCK+53.2080000000158

pragma attribute A7S syn_tsu0 CLKEN->CLK+35.4720000000105
pragma attribute A7S syn_tsu1 DBGTCKEN->CLK+35.4720000000105
pragma attribute A7S syn_tsu2 DBGTDI->CLK+20.6920000000061
pragma attribute A7S syn_tsu3 DBGTMS->CLK+20.6920000000061
pragma attribute A7S syn_tsu4 CPA->CLK+11.8240000000035
pragma attribute A7S syn_tsu5 CPB->CLK+11.8240000000035
pragma attribute A7S syn_tsu6 ABORT->CLK+23.648000000007
pragma attribute A7S syn_tsu7 RDATA[31:0]->CLK+5.91200000000175
pragma attribute A7S syn_tsu8 CFGBIGEND->CLK+5.91200000000175
pragma attribute A7S syn_tsu9 DBGBREAK->CLK+5.91200000000175
pragma attribute A7S syn_tsu10 DBGnTRST->CLK+14.7800000000044
pragma attribute A7S syn_tsu11 DBGRQ->CLK+5.91200000000175
pragma attribute A7S syn_tsu12 DBGEXT[1:0]->CLK+5.91200000000175
pragma attribute A7S syn_tsu13 nFIQ->CLK+5.91200000000175
pragma attribute A7S syn_tsu14 nIRQ->CLK+5.91200000000175
pragma attribute A7S syn_tsu15 nRESET->CLK+53.2080000000158

*/;


input CLK, CLKEN, nRESET;
input ABORT, CFGBIGEND, CPA, CPB, DBGBREAK, DBGEN, DBGnTRST, DBGRQ, DBGTCKEN, DBGTDI, DBGTMS, nFIQ, nIRQ;
input [31:0] RDATA;
input [1:0] DBGEXT;
output DMORE, LOCK, WRITE;
output [31:0] ADDR, WDATA;
output [1:0] SIZE, PROT, TRANS, DBGRNG;
output CPnI, CPnMREQ, CPnOPC, CPSEQ, CPTBIT, CPnTRANS,
DBGACK, DBGCOMMRX, DBGCOMMTX, DBGINSTRVALID, DBGnEXEC, DBGnTDOEN, DBGTDO;


endmodule


