// File Revision       : 1.7
`timescale 1ns/1ps
module
CoreMP7Bridge_O
(
HCLK
,
HRESETn
,
HREADY
,
HRESP
,
HGRANT
,
CoreMP7Bridge_I
,
CoreMP7Bridge_l
,
CoreMP7Bridge_OI
,
CoreMP7Bridge_II
,
CoreMP7Bridge_lI
,
CoreMP7Bridge_Ol
,
CoreMP7Bridge_Il
,
CoreMP7Bridge_ll
,
HADDR
,
HTRANS
,
HWRITE
,
HSIZE
,
HBURST
,
HPROT
,
HBUSREQ
,
HLOCK
,
CoreMP7Bridge_O0
,
CoreMP7Bridge_I0
)
;
input
HCLK
;
input
HRESETn
;
input
HREADY
;
input
[
1
:
0
]
HRESP
;
input
HGRANT
;
input
[
31
:
0
]
CoreMP7Bridge_I
;
input
[
1
:
0
]
CoreMP7Bridge_l
;
input
CoreMP7Bridge_OI
;
input
[
2
:
0
]
CoreMP7Bridge_II
;
input
[
2
:
0
]
CoreMP7Bridge_lI
;
input
[
3
:
0
]
CoreMP7Bridge_Ol
;
input
CoreMP7Bridge_Il
;
input
CoreMP7Bridge_ll
;
output
[
31
:
0
]
HADDR
;
output
[
1
:
0
]
HTRANS
;
output
HWRITE
;
output
[
2
:
0
]
HSIZE
;
output
[
2
:
0
]
HBURST
;
output
[
3
:
0
]
HPROT
;
output
HBUSREQ
;
output
HLOCK
;
output
CoreMP7Bridge_O0
;
output
CoreMP7Bridge_I0
;
`define CoreMP7Bridge_l0  \
2 \
'b \
00
`define CoreMP7Bridge_O1  \
2 \
'b \
01
`define CoreMP7Bridge_I1  \
2 \
'b \
10
`define CoreMP7Bridge_l1  \
2 \
'b \
11
`define CoreMP7Bridge_OOI  \
3 \
'b \
000
`define CoreMP7Bridge_IOI  \
3 \
'b \
001
`define CoreMP7Bridge_lOI  \
3 \
'b \
010
`define CoreMP7Bridge_OII  \
3 \
'b \
011
`define CoreMP7Bridge_III  \
3 \
'b \
100
`define CoreMP7Bridge_lII  \
3 \
'b \
101
`define CoreMP7Bridge_OlI  \
3 \
'b \
110
`define CoreMP7Bridge_IlI  \
3 \
'b \
111
`define CoreMP7Bridge_llI  \
2 \
'b \
00
`define CoreMP7Bridge_O0I  \
2 \
'b \
01
`define CoreMP7Bridge_I0I  \
2 \
'b \
10
`define CoreMP7Bridge_l0I  \
2 \
'b \
11
wire
CoreMP7Bridge_O1I
;
wire
CoreMP7Bridge_I1I
;
wire
CoreMP7Bridge_l1I
;
wire
CoreMP7Bridge_OOl
;
wire
CoreMP7Bridge_IOl
;
wire
CoreMP7Bridge_lOl
;
reg
CoreMP7Bridge_OIl
;
reg
CoreMP7Bridge_I0
;
reg
CoreMP7Bridge_IIl
;
reg
CoreMP7Bridge_lIl
;
reg
CoreMP7Bridge_Oll
;
reg
CoreMP7Bridge_Ill
;
reg
CoreMP7Bridge_lll
;
reg
[
3
:
0
]
CoreMP7Bridge_O0l
;
reg
[
2
:
0
]
CoreMP7Bridge_I0l
;
reg
CoreMP7Bridge_l0l
;
reg
[
31
:
0
]
CoreMP7Bridge_O1l
;
reg
HLOCK
;
reg
[
2
:
0
]
CoreMP7Bridge_I1l
;
reg
[
3
:
0
]
HPROT
;
reg
[
2
:
0
]
HSIZE
;
reg
HWRITE
;
reg
[
1
:
0
]
CoreMP7Bridge_l1l
;
reg
[
31
:
0
]
HADDR
;
reg
CoreMP7Bridge_OO0
;
always
@
(
CoreMP7Bridge_Ill
or
CoreMP7Bridge_IIl
or
HREADY
or
CoreMP7Bridge_Oll
)
begin
if
(
(
CoreMP7Bridge_Ill
)
)
CoreMP7Bridge_OIl
=
1
'b
0
;
else
if
(
(
CoreMP7Bridge_IIl
)
)
if
(
(
HREADY
&&
!
CoreMP7Bridge_Oll
)
)
CoreMP7Bridge_OIl
=
1
'b
1
;
else
CoreMP7Bridge_OIl
=
1
'b
0
;
else
CoreMP7Bridge_OIl
=
1
'b
1
;
end
assign
CoreMP7Bridge_O0
=
CoreMP7Bridge_OIl
;
always
@
(
CoreMP7Bridge_IIl
or
HRESP
)
begin
if
(
(
CoreMP7Bridge_IIl
&&
HRESP
==
`CoreMP7Bridge_O0I
)
)
CoreMP7Bridge_I0
=
1
'b
1
;
else
CoreMP7Bridge_I0
=
1
'b
0
;
end
assign
HBUSREQ
=
CoreMP7Bridge_ll
|
CoreMP7Bridge_Ill
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
begin
CoreMP7Bridge_lIl
<=
1
'b
0
;
CoreMP7Bridge_IIl
<=
1
'b
0
;
end
else
begin
if
(
HREADY
)
begin
CoreMP7Bridge_lIl
<=
HGRANT
;
CoreMP7Bridge_IIl
<=
CoreMP7Bridge_lIl
;
end
end
end
assign
CoreMP7Bridge_I1I
=
(
(
CoreMP7Bridge_IIl
==
1
'b
1
&&
HREADY
==
1
'b
0
&&
(
HRESP
==
`CoreMP7Bridge_I0I
||
HRESP
==
`CoreMP7Bridge_l0I
)
)
?
1
'b
1
:
1
'b
0
)
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_Oll
<=
1
'b
0
;
else
CoreMP7Bridge_Oll
<=
CoreMP7Bridge_I1I
;
end
assign
CoreMP7Bridge_l1I
=
(
(
CoreMP7Bridge_OIl
==
1
'b
1
&&
(
CoreMP7Bridge_lIl
==
1
'b
0
||
HREADY
==
1
'b
0
)
&&
CoreMP7Bridge_l1l
[
1
]
==
1
'b
1
)
?
1
'b
1
:
1
'b
0
)
;
assign
CoreMP7Bridge_OOl
=
(
(
(
CoreMP7Bridge_IIl
==
1
'b
1
&&
CoreMP7Bridge_I1I
==
1
'b
1
)
||
CoreMP7Bridge_l1I
==
1
'b
1
)
?
1
'b
1
:
1
'b
0
)
;
assign
CoreMP7Bridge_IOl
=
(
(
CoreMP7Bridge_Ill
==
1
'b
1
&&
CoreMP7Bridge_lIl
==
1
'b
1
&&
HREADY
==
1
'b
1
&&
CoreMP7Bridge_Oll
==
1
'b
0
)
?
1
'b
1
:
1
'b
0
)
;
assign
CoreMP7Bridge_lOl
=
(
CoreMP7Bridge_OOl
==
1
'b
1
?
1
'b
1
:
(
CoreMP7Bridge_IOl
==
1
'b
1
?
1
'b
0
:
CoreMP7Bridge_Ill
)
)
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_Ill
<=
1
'b
0
;
else
CoreMP7Bridge_Ill
<=
CoreMP7Bridge_lOl
;
end
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
begin
CoreMP7Bridge_O1l
<=
32
'h
0000_0000
;
CoreMP7Bridge_l0l
<=
1
'b
0
;
CoreMP7Bridge_I0l
<=
3
'b
000
;
CoreMP7Bridge_O0l
<=
4
'h
0
;
CoreMP7Bridge_lll
<=
1
'b
0
;
end
else
begin
if
(
CoreMP7Bridge_OIl
)
begin
CoreMP7Bridge_O1l
<=
CoreMP7Bridge_I
;
CoreMP7Bridge_l0l
<=
CoreMP7Bridge_OI
;
CoreMP7Bridge_I0l
<=
CoreMP7Bridge_II
;
CoreMP7Bridge_O0l
<=
CoreMP7Bridge_Ol
;
CoreMP7Bridge_lll
<=
CoreMP7Bridge_Il
;
end
end
end
always
@
(
CoreMP7Bridge_Ill
or
CoreMP7Bridge_I
or
CoreMP7Bridge_O1l
or
CoreMP7Bridge_l
or
CoreMP7Bridge_OI
or
CoreMP7Bridge_l0l
or
CoreMP7Bridge_II
or
CoreMP7Bridge_I0l
or
CoreMP7Bridge_lI
or
CoreMP7Bridge_Ol
or
CoreMP7Bridge_O0l
or
CoreMP7Bridge_Il
or
CoreMP7Bridge_lll
)
begin
if
(
CoreMP7Bridge_Ill
)
begin
HADDR
=
CoreMP7Bridge_O1l
;
CoreMP7Bridge_l1l
=
`CoreMP7Bridge_I1
;
HWRITE
=
CoreMP7Bridge_l0l
;
HSIZE
=
CoreMP7Bridge_I0l
;
HPROT
=
CoreMP7Bridge_O0l
;
CoreMP7Bridge_I1l
=
`CoreMP7Bridge_IOI
;
HLOCK
=
CoreMP7Bridge_lll
;
end
else
begin
HADDR
=
CoreMP7Bridge_I
;
CoreMP7Bridge_l1l
=
CoreMP7Bridge_l
;
HWRITE
=
CoreMP7Bridge_OI
;
HSIZE
=
CoreMP7Bridge_II
;
HPROT
=
CoreMP7Bridge_Ol
;
CoreMP7Bridge_I1l
=
CoreMP7Bridge_lI
;
HLOCK
=
CoreMP7Bridge_Il
;
end
end
assign
HTRANS
=
(
CoreMP7Bridge_Oll
==
1
'b
1
||
CoreMP7Bridge_lIl
==
1
'b
0
)
?
`CoreMP7Bridge_l0
:
CoreMP7Bridge_l1l
;
assign
CoreMP7Bridge_O1I
=
(
CoreMP7Bridge_Ill
==
1
'b
1
?
1
'b
1
:
(
CoreMP7Bridge_l
==
`CoreMP7Bridge_l0
?
1
'b
0
:
CoreMP7Bridge_OO0
)
)
;
always
@
(
negedge
(
HRESETn
)
or
posedge
(
HCLK
)
)
begin
if
(
!
HRESETn
)
CoreMP7Bridge_OO0
<=
1
'b
0
;
else
CoreMP7Bridge_OO0
<=
CoreMP7Bridge_O1I
;
end
assign
HBURST
=
(
CoreMP7Bridge_OO0
==
1
'b
0
?
CoreMP7Bridge_I1l
:
`CoreMP7Bridge_IOI
)
;
endmodule
