`timescale 1ns/1ps
module
CoreAHB2APB
(
HCLK
,
HRESETn
,
HADDR
,
HTRANS
,
HWRITE
,
HWDATA
,
HSEL
,
HREADY
,
HRDATA
,
HREADYOUT
,
HRESP
,
PRDATA
,
PWDATA
,
PENABLE
,
PSELECT
,
PADDR
,
PWRITE
)
;
input
HCLK
;
input
HRESETn
;
input
[
27
:
0
]
HADDR
;
input
[
1
:
0
]
HTRANS
;
input
HWRITE
;
input
[
31
:
0
]
HWDATA
;
input
HSEL
;
input
HREADY
;
input
[
31
:
0
]
PRDATA
;
output
[
31
:
0
]
HRDATA
;
output
HREADYOUT
;
output
[
1
:
0
]
HRESP
;
output
[
31
:
0
]
PWDATA
;
output
PENABLE
;
output
[
15
:
0
]
PSELECT
;
output
[
23
:
0
]
PADDR
;
output
PWRITE
;
`define CoreAHB2APB_O  \
4 \
'b \
0000
`define CoreAHB2APB_I  \
4 \
'b \
0001
`define CoreAHB2APB_l  \
4 \
'b \
0100
`define CoreAHB2APB_OI  \
4 \
'b \
1001
`define CoreAHB2APB_II  \
4 \
'b \
1010
`define CoreAHB2APB_lI  \
4 \
'b \
1110
`define CoreAHB2APB_Ol  \
4 \
'b \
1011
`define CoreAHB2APB_Il  \
4 \
'b \
1111
`define CoreAHB2APB_ll  \
4 \
'b \
0000
`define CoreAHB2APB_O0  \
4 \
'b \
0001
`define CoreAHB2APB_I0  \
4 \
'b \
0010
`define CoreAHB2APB_l0  \
4 \
'b \
0011
`define CoreAHB2APB_O1  \
4 \
'b \
0100
`define CoreAHB2APB_I1  \
4 \
'b \
0101
`define CoreAHB2APB_l1  \
4 \
'b \
0110
`define CoreAHB2APB_OOI  \
4 \
'b \
0111
`define CoreAHB2APB_IOI  \
4 \
'b \
1000
`define CoreAHB2APB_lOI  \
4 \
'b \
1001
`define CoreAHB2APB_OII  \
4 \
'b \
1010
`define CoreAHB2APB_III  \
4 \
'b \
1011
`define CoreAHB2APB_lII  \
4 \
'b \
1100
`define CoreAHB2APB_OlI  \
4 \
'b \
1101
`define CoreAHB2APB_IlI  \
4 \
'b \
1110
`define CoreAHB2APB_llI  \
4 \
'b \
1111
`define CoreAHB2APB_O0I  \
2 \
'b \
00
`define CoreAHB2APB_I0I  \
2 \
'b \
01
`define CoreAHB2APB_l0I  \
2 \
'b \
10
`define CoreAHB2APB_O1I  \
2 \
'b \
11
`define CoreAHB2APB_I1I  \
2 \
'b \
00
`define CoreAHB2APB_l1I  \
2 \
'b \
01
`define CoreAHB2APB_OOl  \
2 \
'b \
10
`define CoreAHB2APB_IOl  \
2 \
'b \
11
wire
HCLK
;
wire
HRESETn
;
wire
[
27
:
0
]
HADDR
;
wire
[
1
:
0
]
HTRANS
;
wire
HWRITE
;
wire
[
31
:
0
]
HWDATA
;
wire
HSEL
;
wire
HREADY
;
wire
[
31
:
0
]
PRDATA
;
wire
[
31
:
0
]
HRDATA
;
wire
HREADYOUT
;
wire
[
1
:
0
]
HRESP
;
wire
[
15
:
0
]
PSELECT
;
reg
[
23
:
0
]
PADDR
;
reg
[
31
:
0
]
PWDATA
;
reg
PENABLE
;
reg
PWRITE
;
wire
CoreAHB2APB_lOl
;
wire
CoreAHB2APB_OIl
;
reg
[
27
:
0
]
CoreAHB2APB_IIl
;
reg
CoreAHB2APB_lIl
;
wire
[
27
:
0
]
CoreAHB2APB_Oll
;
reg
[
3
:
0
]
CoreAHB2APB_Ill
;
reg
[
3
:
0
]
CoreAHB2APB_lll
;
wire
CoreAHB2APB_O0l
;
reg
CoreAHB2APB_I0l
;
reg
CoreAHB2APB_l0l
;
reg
CoreAHB2APB_O1l
;
reg
CoreAHB2APB_I1l
;
reg
CoreAHB2APB_l1l
;
reg
CoreAHB2APB_OO0
;
reg
CoreAHB2APB_IO0
;
reg
CoreAHB2APB_lO0
;
reg
CoreAHB2APB_OI0
;
reg
CoreAHB2APB_II0
;
reg
CoreAHB2APB_lI0
;
reg
CoreAHB2APB_Ol0
;
reg
CoreAHB2APB_Il0
;
reg
CoreAHB2APB_ll0
;
reg
CoreAHB2APB_O00
;
reg
CoreAHB2APB_I00
;
reg
CoreAHB2APB_l00
;
wire
CoreAHB2APB_O10
;
wire
CoreAHB2APB_I10
;
wire
CoreAHB2APB_l10
;
reg
CoreAHB2APB_OO1
;
reg
CoreAHB2APB_IO1
;
reg
CoreAHB2APB_lO1
;
reg
CoreAHB2APB_OI1
;
reg
CoreAHB2APB_II1
;
reg
CoreAHB2APB_lI1
;
reg
CoreAHB2APB_Ol1
;
reg
CoreAHB2APB_Il1
;
reg
CoreAHB2APB_ll1
;
reg
CoreAHB2APB_O01
;
reg
CoreAHB2APB_I01
;
reg
CoreAHB2APB_l01
;
reg
CoreAHB2APB_O11
;
reg
CoreAHB2APB_I11
;
reg
CoreAHB2APB_l11
;
reg
CoreAHB2APB_OOOI
;
reg
CoreAHB2APB_IOOI
;
reg
CoreAHB2APB_lOOI
;
reg
CoreAHB2APB_OIOI
;
reg
CoreAHB2APB_IIOI
;
reg
CoreAHB2APB_lIOI
;
reg
CoreAHB2APB_OlOI
;
reg
CoreAHB2APB_IlOI
;
reg
CoreAHB2APB_llOI
;
reg
CoreAHB2APB_O0OI
;
reg
CoreAHB2APB_I0OI
;
reg
CoreAHB2APB_l0OI
;
reg
CoreAHB2APB_O1OI
;
reg
CoreAHB2APB_I1OI
;
reg
CoreAHB2APB_l1OI
;
reg
CoreAHB2APB_OOII
;
reg
CoreAHB2APB_IOII
;
reg
CoreAHB2APB_lOII
;
assign
CoreAHB2APB_lOl
=
(
(
HSEL
==
1
'b
1
&&
HREADY
==
1
'b
1
&&
(
HTRANS
==
`CoreAHB2APB_l0I
||
HTRANS
==
`CoreAHB2APB_O1I
)
)
?
1
'b
1
:
1
'b
0
)
;
assign
CoreAHB2APB_OIl
=
HSEL
&
HREADY
;
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_OIII
if
(
(
!
HRESETn
)
)
begin
CoreAHB2APB_IIl
<=
{
28
{
1
'b
0
}
}
;
CoreAHB2APB_lIl
<=
1
'b
0
;
end
else
begin
if
(
CoreAHB2APB_OIl
)
begin
CoreAHB2APB_IIl
<=
HADDR
;
CoreAHB2APB_lIl
<=
HWRITE
;
end
end
end
assign
CoreAHB2APB_Oll
=
(
(
CoreAHB2APB_Ill
==
`CoreAHB2APB_I
&&
(
CoreAHB2APB_lll
==
`CoreAHB2APB_O
||
CoreAHB2APB_lll
==
`CoreAHB2APB_l
||
CoreAHB2APB_lll
==
`CoreAHB2APB_lI
)
)
?
HADDR
:
CoreAHB2APB_IIl
)
;
always
@
(
CoreAHB2APB_lll
or
HWRITE
or
CoreAHB2APB_lIl
or
CoreAHB2APB_lOl
)
begin
:
CoreAHB2APB_IIII
case
(
CoreAHB2APB_lll
)
`CoreAHB2APB_O
:
if
(
CoreAHB2APB_lOl
)
if
(
HWRITE
)
CoreAHB2APB_Ill
=
`CoreAHB2APB_OI
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_I
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_O
;
`CoreAHB2APB_I
:
CoreAHB2APB_Ill
=
`CoreAHB2APB_l
;
`CoreAHB2APB_OI
:
if
(
CoreAHB2APB_lOl
)
CoreAHB2APB_Ill
=
`CoreAHB2APB_Ol
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_II
;
`CoreAHB2APB_II
:
if
(
CoreAHB2APB_lOl
)
CoreAHB2APB_Ill
=
`CoreAHB2APB_Il
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_lI
;
`CoreAHB2APB_Ol
:
CoreAHB2APB_Ill
=
`CoreAHB2APB_Il
;
`CoreAHB2APB_l
:
if
(
CoreAHB2APB_lOl
)
if
(
HWRITE
)
CoreAHB2APB_Ill
=
`CoreAHB2APB_OI
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_I
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_O
;
`CoreAHB2APB_lI
:
if
(
CoreAHB2APB_lOl
)
if
(
HWRITE
)
CoreAHB2APB_Ill
=
`CoreAHB2APB_OI
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_I
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_O
;
`CoreAHB2APB_Il
:
if
(
CoreAHB2APB_lIl
)
if
(
CoreAHB2APB_lOl
)
CoreAHB2APB_Ill
=
`CoreAHB2APB_Ol
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_II
;
else
CoreAHB2APB_Ill
=
`CoreAHB2APB_I
;
default
:
CoreAHB2APB_Ill
=
`CoreAHB2APB_O
;
endcase
end
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_lIII
if
(
(
!
HRESETn
)
)
CoreAHB2APB_lll
<=
`CoreAHB2APB_O
;
else
CoreAHB2APB_lll
<=
CoreAHB2APB_Ill
;
end
assign
CoreAHB2APB_O0l
=
(
(
CoreAHB2APB_Ill
==
`CoreAHB2APB_I
||
CoreAHB2APB_Ill
==
`CoreAHB2APB_Ol
||
(
CoreAHB2APB_Ill
==
`CoreAHB2APB_Il
&&
(
(
HWRITE
==
1
'b
0
&&
CoreAHB2APB_lOl
==
1
'b
1
)
||
CoreAHB2APB_lIl
==
1
'b
0
)
)
)
?
1
'b
0
:
1
'b
1
)
;
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_OlII
if
(
(
!
HRESETn
)
)
CoreAHB2APB_I0l
<=
1
'b
1
;
else
CoreAHB2APB_I0l
<=
CoreAHB2APB_O0l
;
end
always
@
(
CoreAHB2APB_Oll
)
begin
:
CoreAHB2APB_IlII
CoreAHB2APB_l0l
=
1
'b
0
;
CoreAHB2APB_O1l
=
1
'b
0
;
CoreAHB2APB_I1l
=
1
'b
0
;
CoreAHB2APB_l1l
=
1
'b
0
;
CoreAHB2APB_OO0
=
1
'b
0
;
CoreAHB2APB_IO0
=
1
'b
0
;
CoreAHB2APB_lO0
=
1
'b
0
;
CoreAHB2APB_OI0
=
1
'b
0
;
CoreAHB2APB_II0
=
1
'b
0
;
CoreAHB2APB_lI0
=
1
'b
0
;
CoreAHB2APB_Ol0
=
1
'b
0
;
CoreAHB2APB_Il0
=
1
'b
0
;
CoreAHB2APB_ll0
=
1
'b
0
;
CoreAHB2APB_O00
=
1
'b
0
;
CoreAHB2APB_I00
=
1
'b
0
;
CoreAHB2APB_l00
=
1
'b
0
;
case
(
CoreAHB2APB_Oll
[
27
:
24
]
)
`CoreAHB2APB_ll
:
CoreAHB2APB_l0l
=
1
'b
1
;
`CoreAHB2APB_O0
:
CoreAHB2APB_O1l
=
1
'b
1
;
`CoreAHB2APB_I0
:
CoreAHB2APB_I1l
=
1
'b
1
;
`CoreAHB2APB_l0
:
CoreAHB2APB_l1l
=
1
'b
1
;
`CoreAHB2APB_O1
:
CoreAHB2APB_OO0
=
1
'b
1
;
`CoreAHB2APB_I1
:
CoreAHB2APB_IO0
=
1
'b
1
;
`CoreAHB2APB_l1
:
CoreAHB2APB_lO0
=
1
'b
1
;
`CoreAHB2APB_OOI
:
CoreAHB2APB_OI0
=
1
'b
1
;
`CoreAHB2APB_IOI
:
CoreAHB2APB_II0
=
1
'b
1
;
`CoreAHB2APB_lOI
:
CoreAHB2APB_lI0
=
1
'b
1
;
`CoreAHB2APB_OII
:
CoreAHB2APB_Ol0
=
1
'b
1
;
`CoreAHB2APB_III
:
CoreAHB2APB_Il0
=
1
'b
1
;
`CoreAHB2APB_lII
:
CoreAHB2APB_ll0
=
1
'b
1
;
`CoreAHB2APB_OlI
:
CoreAHB2APB_O00
=
1
'b
1
;
`CoreAHB2APB_IlI
:
CoreAHB2APB_I00
=
1
'b
1
;
`CoreAHB2APB_llI
:
CoreAHB2APB_l00
=
1
'b
1
;
endcase
end
assign
CoreAHB2APB_O10
=
(
(
CoreAHB2APB_Ill
==
`CoreAHB2APB_I
||
CoreAHB2APB_Ill
==
`CoreAHB2APB_II
||
CoreAHB2APB_Ill
==
`CoreAHB2APB_Ol
)
?
1
'b
1
:
1
'b
0
)
;
assign
CoreAHB2APB_I10
=
CoreAHB2APB_lOII
;
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_llII
if
(
(
!
HRESETn
)
)
PWDATA
<=
{
32
{
1
'b
0
}
}
;
else
begin
if
(
CoreAHB2APB_I10
)
PWDATA
<=
HWDATA
;
end
end
assign
CoreAHB2APB_l10
=
(
(
CoreAHB2APB_Ill
==
`CoreAHB2APB_l
||
CoreAHB2APB_Ill
==
`CoreAHB2APB_lI
||
CoreAHB2APB_Ill
==
`CoreAHB2APB_Il
)
?
1
'b
1
:
1
'b
0
)
;
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_O0II
if
(
(
!
HRESETn
)
)
PENABLE
<=
1
'b
0
;
else
PENABLE
<=
CoreAHB2APB_l10
;
end
always
@
(
CoreAHB2APB_O10
or
CoreAHB2APB_Ill
or
CoreAHB2APB_l0l
or
CoreAHB2APB_O1l
or
CoreAHB2APB_I1l
or
CoreAHB2APB_l1l
or
CoreAHB2APB_OO0
or
CoreAHB2APB_IO0
or
CoreAHB2APB_lO0
or
CoreAHB2APB_OI0
or
CoreAHB2APB_II0
or
CoreAHB2APB_lI0
or
CoreAHB2APB_Ol0
or
CoreAHB2APB_Il0
or
CoreAHB2APB_ll0
or
CoreAHB2APB_O00
or
CoreAHB2APB_I00
or
CoreAHB2APB_l00
or
CoreAHB2APB_IOOI
or
CoreAHB2APB_lOOI
or
CoreAHB2APB_OIOI
or
CoreAHB2APB_IIOI
or
CoreAHB2APB_lIOI
or
CoreAHB2APB_OlOI
or
CoreAHB2APB_IlOI
or
CoreAHB2APB_llOI
or
CoreAHB2APB_O0OI
or
CoreAHB2APB_I0OI
or
CoreAHB2APB_l0OI
or
CoreAHB2APB_O1OI
or
CoreAHB2APB_I1OI
or
CoreAHB2APB_l1OI
or
CoreAHB2APB_OOII
or
CoreAHB2APB_IOII
)
begin
:
CoreAHB2APB_I0II
if
(
CoreAHB2APB_O10
)
begin
CoreAHB2APB_OO1
=
CoreAHB2APB_l0l
;
CoreAHB2APB_IO1
=
CoreAHB2APB_O1l
;
CoreAHB2APB_lO1
=
CoreAHB2APB_I1l
;
CoreAHB2APB_OI1
=
CoreAHB2APB_l1l
;
CoreAHB2APB_II1
=
CoreAHB2APB_OO0
;
CoreAHB2APB_lI1
=
CoreAHB2APB_IO0
;
CoreAHB2APB_Ol1
=
CoreAHB2APB_lO0
;
CoreAHB2APB_Il1
=
CoreAHB2APB_OI0
;
CoreAHB2APB_ll1
=
CoreAHB2APB_II0
;
CoreAHB2APB_O01
=
CoreAHB2APB_lI0
;
CoreAHB2APB_I01
=
CoreAHB2APB_Ol0
;
CoreAHB2APB_l01
=
CoreAHB2APB_Il0
;
CoreAHB2APB_O11
=
CoreAHB2APB_ll0
;
CoreAHB2APB_I11
=
CoreAHB2APB_O00
;
CoreAHB2APB_l11
=
CoreAHB2APB_I00
;
CoreAHB2APB_OOOI
=
CoreAHB2APB_l00
;
end
else
if
(
(
CoreAHB2APB_Ill
==
`CoreAHB2APB_O
||
CoreAHB2APB_Ill
==
`CoreAHB2APB_OI
)
)
begin
CoreAHB2APB_OO1
=
1
'b
0
;
CoreAHB2APB_IO1
=
1
'b
0
;
CoreAHB2APB_lO1
=
1
'b
0
;
CoreAHB2APB_OI1
=
1
'b
0
;
CoreAHB2APB_II1
=
1
'b
0
;
CoreAHB2APB_lI1
=
1
'b
0
;
CoreAHB2APB_Ol1
=
1
'b
0
;
CoreAHB2APB_Il1
=
1
'b
0
;
CoreAHB2APB_ll1
=
1
'b
0
;
CoreAHB2APB_O01
=
1
'b
0
;
CoreAHB2APB_I01
=
1
'b
0
;
CoreAHB2APB_l01
=
1
'b
0
;
CoreAHB2APB_O11
=
1
'b
0
;
CoreAHB2APB_I11
=
1
'b
0
;
CoreAHB2APB_l11
=
1
'b
0
;
CoreAHB2APB_OOOI
=
1
'b
0
;
end
else
begin
CoreAHB2APB_OO1
=
CoreAHB2APB_IOOI
;
CoreAHB2APB_IO1
=
CoreAHB2APB_lOOI
;
CoreAHB2APB_lO1
=
CoreAHB2APB_OIOI
;
CoreAHB2APB_OI1
=
CoreAHB2APB_IIOI
;
CoreAHB2APB_II1
=
CoreAHB2APB_lIOI
;
CoreAHB2APB_lI1
=
CoreAHB2APB_OlOI
;
CoreAHB2APB_Ol1
=
CoreAHB2APB_IlOI
;
CoreAHB2APB_Il1
=
CoreAHB2APB_llOI
;
CoreAHB2APB_ll1
=
CoreAHB2APB_O0OI
;
CoreAHB2APB_O01
=
CoreAHB2APB_I0OI
;
CoreAHB2APB_I01
=
CoreAHB2APB_l0OI
;
CoreAHB2APB_l01
=
CoreAHB2APB_O1OI
;
CoreAHB2APB_O11
=
CoreAHB2APB_I1OI
;
CoreAHB2APB_I11
=
CoreAHB2APB_l1OI
;
CoreAHB2APB_l11
=
CoreAHB2APB_OOII
;
CoreAHB2APB_OOOI
=
CoreAHB2APB_IOII
;
end
end
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_l0II
if
(
(
!
HRESETn
)
)
begin
CoreAHB2APB_IOOI
<=
1
'b
0
;
CoreAHB2APB_lOOI
<=
1
'b
0
;
CoreAHB2APB_OIOI
<=
1
'b
0
;
CoreAHB2APB_IIOI
<=
1
'b
0
;
CoreAHB2APB_lIOI
<=
1
'b
0
;
CoreAHB2APB_OlOI
<=
1
'b
0
;
CoreAHB2APB_IlOI
<=
1
'b
0
;
CoreAHB2APB_llOI
<=
1
'b
0
;
CoreAHB2APB_O0OI
<=
1
'b
0
;
CoreAHB2APB_I0OI
<=
1
'b
0
;
CoreAHB2APB_l0OI
<=
1
'b
0
;
CoreAHB2APB_O1OI
<=
1
'b
0
;
CoreAHB2APB_I1OI
<=
1
'b
0
;
CoreAHB2APB_l1OI
<=
1
'b
0
;
CoreAHB2APB_OOII
<=
1
'b
0
;
CoreAHB2APB_IOII
<=
1
'b
0
;
end
else
begin
CoreAHB2APB_IOOI
<=
CoreAHB2APB_OO1
;
CoreAHB2APB_lOOI
<=
CoreAHB2APB_IO1
;
CoreAHB2APB_OIOI
<=
CoreAHB2APB_lO1
;
CoreAHB2APB_IIOI
<=
CoreAHB2APB_OI1
;
CoreAHB2APB_lIOI
<=
CoreAHB2APB_II1
;
CoreAHB2APB_OlOI
<=
CoreAHB2APB_lI1
;
CoreAHB2APB_IlOI
<=
CoreAHB2APB_Ol1
;
CoreAHB2APB_llOI
<=
CoreAHB2APB_Il1
;
CoreAHB2APB_O0OI
<=
CoreAHB2APB_ll1
;
CoreAHB2APB_I0OI
<=
CoreAHB2APB_O01
;
CoreAHB2APB_l0OI
<=
CoreAHB2APB_I01
;
CoreAHB2APB_O1OI
<=
CoreAHB2APB_l01
;
CoreAHB2APB_I1OI
<=
CoreAHB2APB_O11
;
CoreAHB2APB_l1OI
<=
CoreAHB2APB_I11
;
CoreAHB2APB_OOII
<=
CoreAHB2APB_l11
;
CoreAHB2APB_IOII
<=
CoreAHB2APB_OOOI
;
end
end
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_O1II
if
(
(
!
HRESETn
)
)
PADDR
<=
{
24
{
1
'b
0
}
}
;
else
begin
if
(
CoreAHB2APB_O10
)
PADDR
<=
CoreAHB2APB_Oll
[
23
:
0
]
;
end
end
always
@
(
CoreAHB2APB_lll
or
CoreAHB2APB_lIl
)
begin
:
CoreAHB2APB_I1II
case
(
CoreAHB2APB_lll
)
`CoreAHB2APB_OI
:
CoreAHB2APB_lOII
=
1
'b
1
;
`CoreAHB2APB_Il
:
begin
if
(
CoreAHB2APB_lIl
)
CoreAHB2APB_lOII
=
1
'b
1
;
else
CoreAHB2APB_lOII
=
1
'b
0
;
end
default
:
CoreAHB2APB_lOII
=
1
'b
0
;
endcase
end
always
@
(
negedge
HRESETn
or
posedge
HCLK
)
begin
:
CoreAHB2APB_l1II
if
(
(
!
HRESETn
)
)
PWRITE
<=
1
'b
0
;
else
begin
if
(
CoreAHB2APB_O10
)
PWRITE
<=
CoreAHB2APB_lOII
;
end
end
assign
PSELECT
[
0
]
=
CoreAHB2APB_IOOI
;
assign
PSELECT
[
1
]
=
CoreAHB2APB_lOOI
;
assign
PSELECT
[
2
]
=
CoreAHB2APB_OIOI
;
assign
PSELECT
[
3
]
=
CoreAHB2APB_IIOI
;
assign
PSELECT
[
4
]
=
CoreAHB2APB_lIOI
;
assign
PSELECT
[
5
]
=
CoreAHB2APB_OlOI
;
assign
PSELECT
[
6
]
=
CoreAHB2APB_IlOI
;
assign
PSELECT
[
7
]
=
CoreAHB2APB_llOI
;
assign
PSELECT
[
8
]
=
CoreAHB2APB_O0OI
;
assign
PSELECT
[
9
]
=
CoreAHB2APB_I0OI
;
assign
PSELECT
[
10
]
=
CoreAHB2APB_l0OI
;
assign
PSELECT
[
11
]
=
CoreAHB2APB_O1OI
;
assign
PSELECT
[
12
]
=
CoreAHB2APB_I1OI
;
assign
PSELECT
[
13
]
=
CoreAHB2APB_l1OI
;
assign
PSELECT
[
14
]
=
CoreAHB2APB_OOII
;
assign
PSELECT
[
15
]
=
CoreAHB2APB_IOII
;
assign
HRDATA
=
PRDATA
;
assign
HREADYOUT
=
CoreAHB2APB_I0l
;
assign
HRESP
=
`CoreAHB2APB_I1I
;
endmodule
