`timescale 1ns/10ps
module
CoreMP7Bridge
(
SYSCLK
,
CLK
,
nIRQ_in
,
nFIQ_in
,
nIRQ
,
nFIQ
,
HREADY
,
HRESP
,
HGRANT
,
HRDATA
,
HRESETn
,
HADDR
,
HTRANS
,
HWRITE
,
HSIZE
,
HBURST
,
HPROT
,
HBUSREQ
,
HLOCK
,
HWDATA
,
ADDR
,
LOCK
,
SIZE
,
WRITE
,
PROT
,
TRANS
,
WDATA
,
nRESET
,
ABORT
,
CLKEN
,
RDATA
,
NSYSRESET
,
WDOGRES
,
WDOGRESn
,
RV_TCK
,
RV_nTRST
,
RV_TMS
,
RV_TDI
,
RV_nSRST_IN
,
RV_RTCK
,
RV_TDOUT
,
RV_nTDOEN
,
UJTAG_TCK
,
UJTAG_TDI
,
UJTAG_TMS
,
UJTAG_TRSTB
,
UJTAG_TDO
,
DBGTDO
,
DBGnTDOEN
,
DBGTCKEN
,
DBGnTRST
,
DBGTMS
,
DBGTDI
)
;
parameter
DEBUG
=
2
;
parameter
SYNCIRQ
=
1
;
parameter
SYNCFIQ
=
1
;
localparam
CoreMP7Bridge_lIII
=
8
'h
33
;
input
SYSCLK
;
output
CLK
;
input
nIRQ_in
;
input
nFIQ_in
;
output
nIRQ
;
output
nFIQ
;
input
HREADY
;
input
[
1
:
0
]
HRESP
;
input
HGRANT
;
input
[
31
:
0
]
HRDATA
;
output
HRESETn
;
output
[
31
:
0
]
HADDR
;
output
[
1
:
0
]
HTRANS
;
output
HWRITE
;
output
[
2
:
0
]
HSIZE
;
output
[
2
:
0
]
HBURST
;
output
[
3
:
0
]
HPROT
;
output
HBUSREQ
;
output
HLOCK
;
output
[
31
:
0
]
HWDATA
;
input
[
31
:
0
]
ADDR
;
input
LOCK
;
input
[
1
:
0
]
SIZE
;
input
WRITE
;
input
[
1
:
0
]
PROT
;
input
[
1
:
0
]
TRANS
;
input
[
31
:
0
]
WDATA
;
output
nRESET
;
output
ABORT
;
output
CLKEN
;
output
[
31
:
0
]
RDATA
;
input
NSYSRESET
;
input
WDOGRES
;
output
WDOGRESn
;
input
RV_TCK
;
input
RV_nTRST
;
input
RV_TMS
;
input
RV_TDI
;
input
RV_nSRST_IN
;
output
RV_RTCK
;
output
RV_TDOUT
;
output
RV_nTDOEN
;
input
UJTAG_TCK
;
input
UJTAG_TDI
;
input
UJTAG_TMS
;
input
UJTAG_TRSTB
;
output
UJTAG_TDO
;
input
DBGTDO
;
input
DBGnTDOEN
;
output
DBGTCKEN
;
output
DBGnTRST
;
output
DBGTMS
;
output
DBGTDI
;
wire
CLK
;
wire
nRESET
;
wire
RV_TCK
;
wire
RV_nTRST
;
wire
RV_TMS
;
wire
RV_TDI
;
wire
RV_nSRST_IN
;
wire
RV_RTCK
;
wire
RV_TDOUT
;
wire
RV_nTDOEN
;
wire
CoreMP7Bridge_OlII
;
wire
CoreMP7Bridge_IlII
;
wire
CoreMP7Bridge_llII
;
wire
UJTAG_TCK
;
wire
UJTAG_TDI
;
wire
UJTAG_TMS
;
wire
UJTAG_TRSTB
;
wire
UJTAG_TDO
;
wire
DBGTDO
;
wire
DBGnTDOEN
;
wire
DBGTCKEN
;
wire
DBGnTRST
;
wire
DBGTMS
;
wire
DBGTDI
;
wire
CoreMP7Bridge_O0II
;
wire
CoreMP7Bridge_I0II
;
wire
CoreMP7Bridge_l0II
;
wire
CoreMP7Bridge_O1II
;
wire
[
31
:
0
]
RDATA
;
wire
[
31
:
0
]
WDATA
;
wire
[
31
:
0
]
HRDATA
;
wire
[
31
:
0
]
HWDATA
;
wire
CoreMP7Bridge_O0
;
wire
CoreMP7Bridge_I0
;
wire
[
31
:
0
]
CoreMP7Bridge_I
;
wire
[
1
:
0
]
CoreMP7Bridge_l
;
wire
CoreMP7Bridge_OI
;
wire
[
2
:
0
]
CoreMP7Bridge_II
;
wire
[
2
:
0
]
CoreMP7Bridge_lI
;
wire
[
3
:
0
]
CoreMP7Bridge_Ol
;
wire
CoreMP7Bridge_Il
;
wire
CoreMP7Bridge_ll
;
wire
CoreMP7Bridge_I1II
;
wire
HRESETn
;
wire
CoreMP7Bridge_l1II
;
wire
CoreMP7Bridge_OOlI
;
wire
CoreMP7Bridge_IOlI
;
wire
CoreMP7Bridge_lOlI
;
wire
CoreMP7Bridge_OIlI
;
wire
CoreMP7Bridge_IIlI
;
wire
CoreMP7Bridge_lIlI
;
wire
CoreMP7Bridge_OllI
;
wire
[
7
:
0
]
CoreMP7Bridge_IllI
;
wire
CoreMP7Bridge_lllI
;
wire
CoreMP7Bridge_O0lI
;
wire
CoreMP7Bridge_I0lI
;
wire
CoreMP7Bridge_l0lI
;
wire
CoreMP7Bridge_O1lI
;
wire
CoreMP7Bridge_I1lI
;
wire
CoreMP7Bridge_l1lI
;
wire
CoreMP7Bridge_OO0I
;
wire
CoreMP7Bridge_IO0I
;
wire
CoreMP7Bridge_lO0I
;
wire
CoreMP7Bridge_OI0I
;
wire
CoreMP7Bridge_II0I
;
wire
CoreMP7Bridge_lI0I
;
wire
[
3
:
0
]
CoreMP7Bridge_Ol0I
;
wire
[
3
:
0
]
CoreMP7Bridge_Il0I
;
assign
nIRQ
=
(
SYNCIRQ
==
1
)
?
CoreMP7Bridge_IIlI
:
nIRQ_in
;
assign
nFIQ
=
(
SYNCFIQ
==
1
)
?
CoreMP7Bridge_lIlI
:
nFIQ_in
;
generate
if
(
DEBUG
==
0
)
begin
assign
DBGTCKEN
=
1
'b
0
;
assign
DBGnTRST
=
1
'b
1
;
assign
DBGTMS
=
1
'b
1
;
assign
DBGTDI
=
1
'b
0
;
assign
RV_RTCK
=
1
'b
0
;
assign
RV_TDOUT
=
(
RV_TCK
&&
RV_nTRST
&&
RV_TMS
&&
RV_TDI
&&
RV_nSRST_IN
)
;
assign
RV_nTDOEN
=
1
'b
0
;
assign
CoreMP7Bridge_OllI
=
1
'b
0
;
assign
CoreMP7Bridge_Ol0I
=
4
'b
0000
;
end
else
if
(
DEBUG
==
1
)
begin
assign
DBGTCKEN
=
CoreMP7Bridge_O0II
;
assign
DBGTMS
=
CoreMP7Bridge_l0II
;
assign
DBGTDI
=
CoreMP7Bridge_O1II
;
// Tool (synthesis) may not realise that DBGnTRST is a heavily loaded signal,
CLKINT
CoreMP7Bridge_ll0I
(
.A
(
CoreMP7Bridge_I0II
)
,
.Y
(
DBGnTRST
)
)
;
assign
RV_RTCK
=
CoreMP7Bridge_OlII
;
assign
RV_TDOUT
=
CoreMP7Bridge_IlII
;
assign
RV_nTDOEN
=
CoreMP7Bridge_llII
;
assign
CoreMP7Bridge_OllI
=
1
'b
0
;
assign
CoreMP7Bridge_Ol0I
=
4
'b
0000
;
end
else
begin
assign
DBGTCKEN
=
CoreMP7Bridge_O0II
;
assign
DBGTMS
=
CoreMP7Bridge_l0II
;
assign
DBGTDI
=
CoreMP7Bridge_O1II
;
// Tool (synthesis) may not realise that DBGnTRST is a heavily loaded signal,
CLKINT
CoreMP7Bridge_ll0I
(
.A
(
CoreMP7Bridge_I0II
)
,
.Y
(
DBGnTRST
)
)
;
assign
RV_RTCK
=
CoreMP7Bridge_OlII
;
assign
RV_TDOUT
=
CoreMP7Bridge_IlII
;
assign
RV_nTDOEN
=
CoreMP7Bridge_llII
;
assign
CoreMP7Bridge_OllI
=
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
?
1
'b
1
:
1
'b
0
;
assign
CoreMP7Bridge_lI0I
=
DBGTDO
;
UJTAG
CoreMP7Bridge_O00I
(
.TCK
(
UJTAG_TCK
)
,
.TDI
(
UJTAG_TDI
)
,
.TMS
(
UJTAG_TMS
)
,
.TDO
(
UJTAG_TDO
)
,
.TRSTB
(
UJTAG_TRSTB
)
,
.UIREG0
(
CoreMP7Bridge_IllI
[
0
]
)
,
.UIREG1
(
CoreMP7Bridge_IllI
[
1
]
)
,
.UIREG2
(
CoreMP7Bridge_IllI
[
2
]
)
,
.UIREG3
(
CoreMP7Bridge_IllI
[
3
]
)
,
.UIREG4
(
CoreMP7Bridge_IllI
[
4
]
)
,
.UIREG5
(
CoreMP7Bridge_IllI
[
5
]
)
,
.UIREG6
(
CoreMP7Bridge_IllI
[
6
]
)
,
.UIREG7
(
CoreMP7Bridge_IllI
[
7
]
)
,
.URSTB
(
CoreMP7Bridge_lllI
)
,
.UDRUPD
(
CoreMP7Bridge_O0lI
)
,
.UDRCK
(
CoreMP7Bridge_I0lI
)
,
.UDRCAP
(
CoreMP7Bridge_l0lI
)
,
.UDRSH
(
CoreMP7Bridge_O1lI
)
,
.UTDI
(
CoreMP7Bridge_I1lI
)
,
.UTDO
(
CoreMP7Bridge_l1lI
)
)
;
CoreMP7Bridge_I00I
#
(
CoreMP7Bridge_lIII
)
CoreMP7Bridge_l00I
(
.CoreMP7Bridge_IllI
(
CoreMP7Bridge_IllI
)
,
.CoreMP7Bridge_lllI
(
CoreMP7Bridge_lllI
)
,
.CoreMP7Bridge_O0lI
(
CoreMP7Bridge_O0lI
)
,
.CoreMP7Bridge_I0lI
(
CoreMP7Bridge_I0lI
)
,
.CoreMP7Bridge_l0lI
(
CoreMP7Bridge_l0lI
)
,
.CoreMP7Bridge_O1lI
(
CoreMP7Bridge_O1lI
)
,
.CoreMP7Bridge_I1lI
(
CoreMP7Bridge_I1lI
)
,
.CoreMP7Bridge_l1lI
(
CoreMP7Bridge_l1lI
)
,
.CoreMP7Bridge_OO0I
(
CoreMP7Bridge_OO0I
)
,
.CoreMP7Bridge_O10I
(
CoreMP7Bridge_IO0I
)
,
.CoreMP7Bridge_I10I
(
CoreMP7Bridge_lO0I
)
,
.CoreMP7Bridge_l10I
(
CoreMP7Bridge_OI0I
)
,
.CoreMP7Bridge_OO1I
(
CoreMP7Bridge_II0I
)
,
.CoreMP7Bridge_IO1I
(
CoreMP7Bridge_lI0I
)
,
.CoreMP7Bridge_lO1I
(
CoreMP7Bridge_Ol0I
)
,
.CoreMP7Bridge_OI1I
(
CoreMP7Bridge_Il0I
)
)
;
end
endgenerate
assign
CLK
=
SYSCLK
;
// Tool (synthesis) may not realise that nRESET is a heavily loaded signal,
CLKINT
CoreMP7Bridge_II1I
(
.A
(
CoreMP7Bridge_I1II
)
,
.Y
(
nRESET
)
)
;
assign
HRESETn
=
nRESET
;
assign
RDATA
=
HRDATA
;
assign
HWDATA
=
WDATA
;
assign
CoreMP7Bridge_IlII
=
DBGTDO
;
assign
CoreMP7Bridge_llII
=
DBGnTDOEN
;
assign
CoreMP7Bridge_l1II
=
CoreMP7Bridge_OllI
?
CoreMP7Bridge_lO0I
:
RV_TCK
;
assign
CoreMP7Bridge_OOlI
=
CoreMP7Bridge_OllI
?
CoreMP7Bridge_II0I
:
RV_TDI
;
assign
CoreMP7Bridge_IOlI
=
CoreMP7Bridge_OllI
?
CoreMP7Bridge_OI0I
:
RV_TMS
;
assign
CoreMP7Bridge_lOlI
=
CoreMP7Bridge_OllI
?
CoreMP7Bridge_IO0I
:
RV_nTRST
;
assign
CoreMP7Bridge_OIlI
=
CoreMP7Bridge_OllI
?
!
CoreMP7Bridge_Ol0I
[
0
]
:
RV_nSRST_IN
;
assign
CoreMP7Bridge_Il0I
=
CoreMP7Bridge_Ol0I
;
CoreMP7Bridge_IO0
CoreMP7Bridge_lI1I
(
.HCLK
(
SYSCLK
)
,
.HRESETn
(
HRESETn
)
,
.CoreMP7Bridge_O0
(
CoreMP7Bridge_O0
)
,
.CoreMP7Bridge_I0
(
CoreMP7Bridge_I0
)
,
.CoreMP7Bridge_I
(
CoreMP7Bridge_I
)
,
.CoreMP7Bridge_l
(
CoreMP7Bridge_l
)
,
.CoreMP7Bridge_OI
(
CoreMP7Bridge_OI
)
,
.CoreMP7Bridge_II
(
CoreMP7Bridge_II
)
,
.CoreMP7Bridge_lI
(
CoreMP7Bridge_lI
)
,
.CoreMP7Bridge_Ol
(
CoreMP7Bridge_Ol
)
,
.CoreMP7Bridge_Il
(
CoreMP7Bridge_Il
)
,
.ADDR
(
ADDR
)
,
.PROT
(
PROT
)
,
.SIZE
(
SIZE
)
,
.TRANS
(
TRANS
)
,
.WRITE
(
WRITE
)
,
.LOCK
(
LOCK
)
,
.CLKEN
(
CLKEN
)
)
;
CoreMP7Bridge_O
CoreMP7Bridge_Ol1I
(
.HCLK
(
SYSCLK
)
,
.HRESETn
(
HRESETn
)
,
.HREADY
(
HREADY
)
,
.HRESP
(
HRESP
)
,
.HGRANT
(
HGRANT
)
,
.CoreMP7Bridge_I
(
CoreMP7Bridge_I
)
,
.CoreMP7Bridge_l
(
CoreMP7Bridge_l
)
,
.CoreMP7Bridge_OI
(
CoreMP7Bridge_OI
)
,
.CoreMP7Bridge_II
(
CoreMP7Bridge_II
)
,
.CoreMP7Bridge_lI
(
CoreMP7Bridge_lI
)
,
.CoreMP7Bridge_Ol
(
CoreMP7Bridge_Ol
)
,
.CoreMP7Bridge_Il
(
CoreMP7Bridge_Il
)
,
.CoreMP7Bridge_ll
(
CoreMP7Bridge_ll
)
,
.HADDR
(
HADDR
)
,
.HTRANS
(
HTRANS
)
,
.HWRITE
(
HWRITE
)
,
.HSIZE
(
HSIZE
)
,
.HBURST
(
HBURST
)
,
.HPROT
(
HPROT
)
,
.HBUSREQ
(
HBUSREQ
)
,
.HLOCK
(
HLOCK
)
,
.CoreMP7Bridge_O0
(
CoreMP7Bridge_O0
)
,
.CoreMP7Bridge_I0
(
CoreMP7Bridge_I0
)
)
;
assign
CoreMP7Bridge_ll
=
1
'b
1
;
assign
ABORT
=
CoreMP7Bridge_I0
;
CoreMP7Bridge_Il1I
CoreMP7Bridge_ll1I
(
.NSYSRESET
(
NSYSRESET
)
,
.HCLK
(
SYSCLK
)
,
.HRESETn
(
CoreMP7Bridge_I1II
)
,
.WDOGRES
(
WDOGRES
)
,
.WDOGRESn
(
WDOGRESn
)
,
.nIRQ_in
(
nIRQ_in
)
,
.nFIQ_in
(
nFIQ_in
)
,
.CoreMP7Bridge_IIlI
(
CoreMP7Bridge_IIlI
)
,
.CoreMP7Bridge_lIlI
(
CoreMP7Bridge_lIlI
)
,
.RV_TCK
(
CoreMP7Bridge_l1II
)
,
.RV_nTRST
(
CoreMP7Bridge_lOlI
)
,
.RV_TMS
(
CoreMP7Bridge_IOlI
)
,
.RV_TDI
(
CoreMP7Bridge_OOlI
)
,
.RV_nSRST_IN
(
CoreMP7Bridge_OIlI
)
,
.RV_RTCK
(
CoreMP7Bridge_OlII
)
,
.DBGTCKEN
(
CoreMP7Bridge_O0II
)
,
.DBGnTRST
(
CoreMP7Bridge_I0II
)
,
.DBGTMS
(
CoreMP7Bridge_l0II
)
,
.DBGTDI
(
CoreMP7Bridge_O1II
)
)
;
endmodule
