// Copyright (C) 1999-2005 First Silicon Solutions, Inc.  All rights reserved.
// Revision 1.2  2005/12/21 22:19:01  ernie
// Revision 1.1  2005/08/31 16:33:32  ernie
`timescale 1ns/10ps
module
CoreMP7Bridge_I00I
(
CoreMP7Bridge_IllI
,
CoreMP7Bridge_lllI
,
CoreMP7Bridge_O0lI
,
CoreMP7Bridge_I0lI
,
CoreMP7Bridge_l0lI
,
CoreMP7Bridge_O1lI
,
CoreMP7Bridge_I1lI
,
CoreMP7Bridge_l1lI
,
CoreMP7Bridge_OO0I
,
CoreMP7Bridge_O10I
,
CoreMP7Bridge_I10I
,
CoreMP7Bridge_l10I
,
CoreMP7Bridge_OO1I
,
CoreMP7Bridge_IO1I
,
CoreMP7Bridge_lO1I
,
CoreMP7Bridge_OI1I
)
;
parameter
CoreMP7Bridge_lIII
=
8
'h
33
;
input
[
7
:
0
]
CoreMP7Bridge_IllI
;
input
CoreMP7Bridge_lllI
;
input
CoreMP7Bridge_O0lI
;
input
CoreMP7Bridge_I0lI
;
input
CoreMP7Bridge_l0lI
;
input
CoreMP7Bridge_O1lI
;
input
CoreMP7Bridge_I1lI
;
output
CoreMP7Bridge_l1lI
;
output
CoreMP7Bridge_OO0I
;
output
CoreMP7Bridge_O10I
;
output
CoreMP7Bridge_I10I
;
output
CoreMP7Bridge_l10I
;
output
CoreMP7Bridge_OO1I
;
input
CoreMP7Bridge_IO1I
;
output
[
3
:
0
]
CoreMP7Bridge_lO1I
;
input
[
3
:
0
]
CoreMP7Bridge_OI1I
;
reg
[
4
:
0
]
CoreMP7Bridge_IIOl
;
reg
[
5
:
0
]
CoreMP7Bridge_lIOl
;
wire
[
5
:
0
]
CoreMP7Bridge_OlOl
;
wire
CoreMP7Bridge_IlOl
;
reg
CoreMP7Bridge_llOl
;
wire
CoreMP7Bridge_OO1I
;
wire
CoreMP7Bridge_l10I
;
reg
CoreMP7Bridge_l1lI
;
reg
CoreMP7Bridge_OO0I
;
reg
CoreMP7Bridge_O0Ol
;
reg
CoreMP7Bridge_I0Ol
;
reg
CoreMP7Bridge_l0Ol
;
reg
[
3
:
0
]
CoreMP7Bridge_lO1I
;
reg
[
3
:
0
]
CoreMP7Bridge_O1Ol
;
`define CoreMP7Bridge_I1Ol  \
5 \
'b \
00000
`define CoreMP7Bridge_l1Ol  \
5 \
'b \
00100
`define CoreMP7Bridge_OOIl  \
5 \
'b \
00101
`define CoreMP7Bridge_IOIl  \
5 \
'b \
00110
`define CoreMP7Bridge_lOIl  \
5 \
'b \
00111
`define CoreMP7Bridge_OIIl  \
5 \
'b \
01001
`define CoreMP7Bridge_IIIl  \
5 \
'b \
01010
`define CoreMP7Bridge_lIIl  \
5 \
'b \
01011
`define CoreMP7Bridge_OlIl  \
5 \
'b \
01100
`define CoreMP7Bridge_IlIl  \
5 \
'b \
01101
`define CoreMP7Bridge_llIl  \
5 \
'b \
01110
`define CoreMP7Bridge_O0Il  \
5 \
'b \
01111
`define CoreMP7Bridge_I0Il  \
5 \
'b \
10100
`define CoreMP7Bridge_l0Il  \
5 \
'b \
10101
`define CoreMP7Bridge_O1Il  \
5 \
'b \
10110
`define CoreMP7Bridge_I1Il  \
5 \
'b \
10111
`define CoreMP7Bridge_l1Il  \
5 \
'b \
10000
`define CoreMP7Bridge_OOll  \
5 \
'b \
10001
`define CoreMP7Bridge_IOll  \
5 \
'b \
10010
`define CoreMP7Bridge_lOll  \
5 \
'b \
10011
assign
CoreMP7Bridge_OlOl
=
(
&
CoreMP7Bridge_IIOl
[
2
:
0
]
)
?
(
CoreMP7Bridge_lIOl
-
6
'b
000001
)
:
CoreMP7Bridge_IIOl
[
3
]
?
{
CoreMP7Bridge_I1lI
,
CoreMP7Bridge_lIOl
[
5
:
1
]
}
:
{
3
'b
000
,
CoreMP7Bridge_I1lI
,
CoreMP7Bridge_lIOl
[
2
:
1
]
}
;
assign
CoreMP7Bridge_IlOl
=
(
CoreMP7Bridge_OlOl
==
6
'b
000000
)
;
assign
CoreMP7Bridge_l10I
=
(
CoreMP7Bridge_l0Ol
&
CoreMP7Bridge_I1lI
)
|
(
CoreMP7Bridge_O0Ol
)
;
assign
CoreMP7Bridge_OO1I
=
CoreMP7Bridge_I1lI
;
always
@
(
posedge
CoreMP7Bridge_I0lI
or
negedge
CoreMP7Bridge_lllI
)
begin
if
(
~
CoreMP7Bridge_lllI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
CoreMP7Bridge_lIOl
<=
6
'b
000000
;
CoreMP7Bridge_lO1I
<=
4
'b
0000
;
CoreMP7Bridge_O1Ol
<=
4
'b
0000
;
end
else
begin
CoreMP7Bridge_O1Ol
<=
CoreMP7Bridge_OI1I
;
case
(
CoreMP7Bridge_IIOl
)
`CoreMP7Bridge_I1Ol
:
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_lIOl
<=
6
'b
000000
;
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
else
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
`CoreMP7Bridge_l1Ol
,
`CoreMP7Bridge_OOIl
,
`CoreMP7Bridge_OIIl
,
`CoreMP7Bridge_IIIl
,
`CoreMP7Bridge_lIIl
,
`CoreMP7Bridge_OlIl
,
`CoreMP7Bridge_IlIl
,
`CoreMP7Bridge_I0Il
,
`CoreMP7Bridge_l0Il
:
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
CoreMP7Bridge_IIOl
<=
CoreMP7Bridge_IIOl
+
5
'b
00001
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_IOIl
:
begin
if
(
CoreMP7Bridge_O1lI
)
begin
if
(
CoreMP7Bridge_IlOl
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_OIIl
;
end
else
if
(
CoreMP7Bridge_OlOl
[
2
:
0
]
==
3
'b
111
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_lIOl
<=
{
2
'b
00
,
CoreMP7Bridge_O1Ol
[
3
:
0
]
}
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Il
;
end
else
begin
CoreMP7Bridge_llOl
<=
1
'b
1
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
CoreMP7Bridge_IIOl
<=
CoreMP7Bridge_IIOl
+
5
'b
00001
;
end
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_llIl
:
begin
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_llOl
<=
&
CoreMP7Bridge_IIOl
[
2
:
1
]
&
~
CoreMP7Bridge_IlOl
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
if
(
CoreMP7Bridge_IlOl
)
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I0Il
;
else
CoreMP7Bridge_IIOl
<=
CoreMP7Bridge_IIOl
+
5
'b
00001
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_O1Il
:
begin
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_llOl
<=
&
CoreMP7Bridge_IIOl
[
2
:
1
]
&
~
CoreMP7Bridge_IlOl
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
if
(
CoreMP7Bridge_IlOl
)
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
else
CoreMP7Bridge_IIOl
<=
CoreMP7Bridge_IIOl
+
5
'b
00001
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_lOIl
:
begin
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_llOl
<=
~
CoreMP7Bridge_IlOl
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
if
(
CoreMP7Bridge_IlOl
)
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_OIIl
;
else
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_lOIl
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_O0Il
:
begin
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_llOl
<=
~
CoreMP7Bridge_IlOl
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
if
(
CoreMP7Bridge_IlOl
)
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I0Il
;
else
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_O0Il
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_I1Il
:
begin
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_llOl
<=
~
CoreMP7Bridge_IlOl
;
CoreMP7Bridge_lIOl
<=
CoreMP7Bridge_OlOl
;
if
(
CoreMP7Bridge_IlOl
)
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
else
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Il
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
`CoreMP7Bridge_l1Il
,
`CoreMP7Bridge_OOll
,
`CoreMP7Bridge_IOll
,
`CoreMP7Bridge_lOll
:
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
if
(
CoreMP7Bridge_O1lI
)
begin
CoreMP7Bridge_lIOl
[
5
:
0
]
<=
{
2
'b
00
,
CoreMP7Bridge_I1lI
,
CoreMP7Bridge_lIOl
[
3
:
1
]
}
;
if
(
~&
CoreMP7Bridge_IIOl
[
1
:
0
]
)
CoreMP7Bridge_IIOl
<=
CoreMP7Bridge_IIOl
+
5
'b
00001
;
end
else
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
if
(
CoreMP7Bridge_O0lI
)
begin
CoreMP7Bridge_lO1I
<=
CoreMP7Bridge_lIOl
[
3
:
0
]
;
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
default
:
begin
CoreMP7Bridge_llOl
<=
1
'b
0
;
CoreMP7Bridge_lIOl
<=
6
'b
000000
;
if
(
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
&&
CoreMP7Bridge_l0lI
)
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_l1Ol
;
end
else
begin
CoreMP7Bridge_IIOl
<=
`CoreMP7Bridge_I1Ol
;
end
end
endcase
end
end
always
@
(
negedge
CoreMP7Bridge_I0lI
or
negedge
CoreMP7Bridge_lllI
)
begin
if
(
~
CoreMP7Bridge_lllI
)
begin
CoreMP7Bridge_O0Ol
<=
1
'b
0
;
CoreMP7Bridge_l0Ol
<=
1
'b
0
;
end
else
begin
CoreMP7Bridge_l0Ol
<=
~
CoreMP7Bridge_IIOl
[
3
]
;
CoreMP7Bridge_O0Ol
<=
(
CoreMP7Bridge_IIOl
==
`CoreMP7Bridge_O0Il
)
&&
CoreMP7Bridge_IlOl
;
end
end
always
@
(
posedge
CoreMP7Bridge_I0lI
or
negedge
CoreMP7Bridge_lllI
)
begin
if
(
~
CoreMP7Bridge_lllI
)
begin
CoreMP7Bridge_I0Ol
<=
1
'b
0
;
end
else
begin
if
(
~
CoreMP7Bridge_O1lI
)
CoreMP7Bridge_I0Ol
<=
1
'b
1
;
else
if
(
CoreMP7Bridge_llOl
)
CoreMP7Bridge_I0Ol
<=
1
'b
0
;
end
end
assign
CoreMP7Bridge_I10I
=
~
(
CoreMP7Bridge_I0Ol
|
~
CoreMP7Bridge_O1lI
|
(
CoreMP7Bridge_llOl
&
~
CoreMP7Bridge_I0lI
)
)
;
assign
CoreMP7Bridge_O10I
=
CoreMP7Bridge_lllI
;
always
@
(
posedge
CoreMP7Bridge_I0lI
or
negedge
CoreMP7Bridge_lllI
)
begin
if
(
~
CoreMP7Bridge_lllI
)
begin
CoreMP7Bridge_l1lI
<=
1
'b
0
;
CoreMP7Bridge_OO0I
<=
1
'b
0
;
end
else
begin
if
(
CoreMP7Bridge_O1lI
)
CoreMP7Bridge_l1lI
<=
(
CoreMP7Bridge_IIOl
[
4
:
2
]
==
3
'b
100
)
?
CoreMP7Bridge_lIOl
[
0
]
:
CoreMP7Bridge_IO1I
;
CoreMP7Bridge_OO0I
<=
(
CoreMP7Bridge_IllI
==
CoreMP7Bridge_lIII
)
?
1
'b
1
:
1
'b
0
;
end
end
endmodule
