`timescale 1ns/10ps
module
CoreMemCtrl
(
HCLK
,
HRESETn
,
HSELflash
,
HSELsram
,
HWRITE
,
HREADYIN
,
HTRANS
,
HSIZE
,
HWDATA
,
HADDR
,
HREADYflash
,
HRESPflash
,
HRDATAflash
,
HREADYsram
,
HRESPsram
,
HRDATAsram
,
FlashCSN
,
FlashOEnN
,
FlashWEnN
,
SramClk
,
SramCSN
,
SramOEnN
,
SramWEnN
,
SramByteN
,
MemReadN
,
MemWriteN
,
MemAddr
,
MemData
)
;
parameter
SYNC_SRAM
=
1
;
parameter
FLASH_16BIT
=
0
;
parameter
NUM_WS_FLASH_READ
=
1
;
parameter
NUM_WS_FLASH_WRITE
=
1
;
parameter
NUM_WS_SRAM_READ
=
1
;
parameter
NUM_WS_SRAM_WRITE
=
1
;
parameter
SHARED_RW
=
0
;
input
HCLK
;
input
HRESETn
;
input
HSELflash
;
input
HSELsram
;
input
HWRITE
;
input
HREADYIN
;
input
[
1
:
0
]
HTRANS
;
input
[
2
:
0
]
HSIZE
;
input
[
31
:
0
]
HWDATA
;
input
[
27
:
0
]
HADDR
;
output
HREADYflash
;
output
[
1
:
0
]
HRESPflash
;
output
[
31
:
0
]
HRDATAflash
;
output
HREADYsram
;
output
[
1
:
0
]
HRESPsram
;
output
[
31
:
0
]
HRDATAsram
;
output
FlashCSN
;
output
FlashOEnN
;
output
FlashWEnN
;
output
SramClk
;
output
SramCSN
;
output
SramOEnN
;
output
SramWEnN
;
output
[
3
:
0
]
SramByteN
;
output
MemReadN
;
output
MemWriteN
;
output
[
27
:
0
]
MemAddr
;
inout
[
31
:
0
]
MemData
;
`define CoreMemCtrl_O  \
4 \
'b \
0000
`define CoreMemCtrl_I  \
4 \
'b \
0001
`define CoreMemCtrl_l  \
4 \
'b \
0010
`define CoreMemCtrl_OI  \
4 \
'b \
0011
`define CoreMemCtrl_II  \
4 \
'b \
0100
`define CoreMemCtrl_lI  \
4 \
'b \
0101
`define CoreMemCtrl_Ol  \
4 \
'b \
0110
`define CoreMemCtrl_Il  \
4 \
'b \
0111
`define CoreMemCtrl_ll  \
4 \
'b \
1000
`define CoreMemCtrl_O0  \
2 \
'b \
00
`define CoreMemCtrl_I0  \
2 \
'b \
01
`define CoreMemCtrl_l0  \
2 \
'b \
11
`define CoreMemCtrl_O1  \
2 \
'b \
00
`define CoreMemCtrl_I1  \
2 \
'b \
01
`define CoreMemCtrl_l1  \
2 \
'b \
10
`define CoreMemCtrl_OOI  \
2 \
'b \
11
`define CoreMemCtrl_IOI  \
2 \
'b \
00
`define CoreMemCtrl_lOI  \
2 \
'b \
01
`define CoreMemCtrl_OII  \
2 \
'b \
10
`define CoreMemCtrl_III  \
2 \
'b \
11
`define CoreMemCtrl_lII  \
1 \
'b \
0
`define CoreMemCtrl_OlI  \
1 \
'b \
1
`define CoreMemCtrl_IlI  \
3 \
'b \
000
`define CoreMemCtrl_llI  \
3 \
'b \
001
`define CoreMemCtrl_O0I  \
3 \
'b \
010
`define CoreMemCtrl_I0I  \
4 \
'b \
1111
`define CoreMemCtrl_l0I  \
4 \
'b \
0000
`define CoreMemCtrl_O1I  \
4 \
'b \
0011
`define CoreMemCtrl_I1I  \
4 \
'b \
1100
`define CoreMemCtrl_l1I  \
4 \
'b \
0111
`define CoreMemCtrl_OOl  \
4 \
'b \
1011
`define CoreMemCtrl_IOl  \
4 \
'b \
1101
`define CoreMemCtrl_lOl  \
4 \
'b \
1110
wire
HCLK
;
wire
HRESETn
;
wire
HSELflash
;
wire
HSELsram
;
wire
HWRITE
;
wire
HREADYIN
;
wire
[
1
:
0
]
HTRANS
;
wire
[
2
:
0
]
HSIZE
;
wire
[
31
:
0
]
HWDATA
;
wire
[
27
:
0
]
HADDR
;
reg
HREADYflash
;
reg
HREADYsram
;
reg
[
1
:
0
]
HRESPflash
;
reg
[
1
:
0
]
HRESPsram
;
reg
[
31
:
0
]
HRDATAflash
;
reg
[
31
:
0
]
HRDATAsram
;
wire
FlashCSN
;
wire
FlashOEnN
;
wire
FlashWEnN
;
wire
SramClk
;
wire
SramCSN
;
wire
SramOEnN
;
wire
SramWEnN
;
reg
[
3
:
0
]
SramByteN
;
wire
MemReadN
;
wire
MemWriteN
;
wire
CoreMemCtrl_OIl
;
wire
[
31
:
0
]
CoreMemCtrl_IIl
;
reg
[
31
:
0
]
CoreMemCtrl_lIl
;
reg
[
27
:
0
]
MemAddr
;
wire
[
31
:
0
]
MemData
;
reg
[
3
:
0
]
CoreMemCtrl_Oll
;
reg
[
3
:
0
]
CoreMemCtrl_Ill
;
reg
[
1
:
0
]
CoreMemCtrl_lll
;
reg
[
1
:
0
]
CoreMemCtrl_O0l
;
reg
[
1
:
0
]
CoreMemCtrl_I0l
;
reg
CoreMemCtrl_l0l
;
reg
CoreMemCtrl_O1l
;
reg
CoreMemCtrl_I1l
;
reg
CoreMemCtrl_l1l
;
reg
CoreMemCtrl_OO0
;
reg
[
15
:
0
]
CoreMemCtrl_IO0
;
reg
[
31
:
0
]
CoreMemCtrl_lO0
;
reg
CoreMemCtrl_OI0
;
reg
[
27
:
0
]
CoreMemCtrl_II0
;
reg
[
1
:
0
]
CoreMemCtrl_lI0
;
reg
CoreMemCtrl_Ol0
;
reg
[
2
:
0
]
CoreMemCtrl_Il0
;
reg
CoreMemCtrl_ll0
,
CoreMemCtrl_O00
;
reg
CoreMemCtrl_I00
,
CoreMemCtrl_l00
;
reg
CoreMemCtrl_O10
,
CoreMemCtrl_I10
;
reg
CoreMemCtrl_l10
,
CoreMemCtrl_OO1
;
reg
CoreMemCtrl_IO1
,
CoreMemCtrl_lO1
;
reg
CoreMemCtrl_OI1
,
CoreMemCtrl_II1
;
reg
CoreMemCtrl_lI1
,
CoreMemCtrl_Ol1
;
reg
CoreMemCtrl_Il1
,
CoreMemCtrl_ll1
;
reg
CoreMemCtrl_O01
,
CoreMemCtrl_I01
;
reg
CoreMemCtrl_l01
;
wire
CoreMemCtrl_O11
;
wire
CoreMemCtrl_I11
;
wire
CoreMemCtrl_l11
;
wire
[
1
:
0
]
CoreMemCtrl_OOOI
;
wire
CoreMemCtrl_IOOI
;
wire
CoreMemCtrl_lOOI
;
wire
CoreMemCtrl_OIOI
;
wire
CoreMemCtrl_IIOI
;
integer
CoreMemCtrl_lIOI
;
assign
MemData
=
(
CoreMemCtrl_OIl
==
1
'b
0
)
?
CoreMemCtrl_lIl
:
32
'b
z
;
assign
CoreMemCtrl_IIl
=
MemData
;
assign
SramClk
=
!
HCLK
;
assign
CoreMemCtrl_OIl
=
CoreMemCtrl_I00
;
assign
FlashCSN
=
CoreMemCtrl_O10
;
assign
FlashWEnN
=
CoreMemCtrl_l10
;
assign
FlashOEnN
=
CoreMemCtrl_IO1
;
assign
SramCSN
=
CoreMemCtrl_OI1
;
assign
SramWEnN
=
CoreMemCtrl_lI1
;
assign
SramOEnN
=
CoreMemCtrl_Il1
;
assign
MemWriteN
=
CoreMemCtrl_I11
;
assign
MemReadN
=
CoreMemCtrl_O11
;
assign
CoreMemCtrl_I11
=
(
CoreMemCtrl_l10
&&
CoreMemCtrl_lI1
)
;
assign
CoreMemCtrl_O11
=
(
CoreMemCtrl_IO1
&&
CoreMemCtrl_Il1
)
;
always
@
(
HSELflash
or
HSELsram
)
begin
:
CoreMemCtrl_OlOI
if
(
HSELflash
||
HSELsram
)
CoreMemCtrl_O1l
=
1
'b
1
;
else
CoreMemCtrl_O1l
=
1
'b
0
;
end
always
@
(
posedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_IlOI
if
(
!
HRESETn
)
begin
CoreMemCtrl_I1l
<=
1
'b
0
;
CoreMemCtrl_l1l
<=
1
'b
0
;
CoreMemCtrl_OO0
<=
1
'b
0
;
end
else
begin
if
(
HREADYIN
)
begin
CoreMemCtrl_I1l
<=
CoreMemCtrl_O1l
;
CoreMemCtrl_l1l
<=
HSELflash
;
CoreMemCtrl_OO0
<=
HSELsram
;
end
end
end
assign
CoreMemCtrl_lOOI
=
(
(
CoreMemCtrl_O1l
&&
HREADYIN
)
&&
(
(
HTRANS
==
`CoreMemCtrl_l1
)
||
(
HTRANS
==
`CoreMemCtrl_OOI
)
)
)
?
1
'b
1
:
1
'b
0
;
assign
CoreMemCtrl_OIOI
=
(
(
CoreMemCtrl_I1l
)
&&
(
(
CoreMemCtrl_lI0
==
`CoreMemCtrl_l1
)
||
(
CoreMemCtrl_lI0
==
`CoreMemCtrl_OOI
)
)
)
?
1
'b
1
:
1
'b
0
;
assign
CoreMemCtrl_IIOI
=
(
CoreMemCtrl_O1l
&&
HREADYIN
)
;
always
@
(
posedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_llOI
if
(
!
HRESETn
)
begin
CoreMemCtrl_II0
<=
28
'b
0
;
CoreMemCtrl_lI0
<=
2
'b
0
;
CoreMemCtrl_Ol0
<=
1
'b
0
;
CoreMemCtrl_Il0
<=
3
'b
0
;
end
else
begin
if
(
CoreMemCtrl_IIOI
)
begin
CoreMemCtrl_II0
<=
HADDR
;
CoreMemCtrl_lI0
<=
HTRANS
;
CoreMemCtrl_Ol0
<=
HWRITE
;
CoreMemCtrl_Il0
<=
HSIZE
;
end
end
end
always
@
(
CoreMemCtrl_l0l
or
CoreMemCtrl_I0l
or
CoreMemCtrl_lll
)
begin
:
CoreMemCtrl_O0OI
if
(
CoreMemCtrl_l0l
)
CoreMemCtrl_O0l
=
CoreMemCtrl_I0l
;
else
if
(
CoreMemCtrl_lll
==
`CoreMemCtrl_O0
)
CoreMemCtrl_O0l
=
`CoreMemCtrl_O0
;
else
CoreMemCtrl_O0l
=
CoreMemCtrl_lll
-
1
'b
1
;
end
always
@
(
posedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_I0OI
if
(
!
HRESETn
)
CoreMemCtrl_lll
<=
`CoreMemCtrl_O0
;
else
CoreMemCtrl_lll
<=
CoreMemCtrl_O0l
;
end
assign
CoreMemCtrl_l11
=
(
CoreMemCtrl_O0l
==
`CoreMemCtrl_O0
)
?
1
'b
1
:
1
'b
0
;
always
@
(
posedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_l0OI
if
(
!
HRESETn
)
CoreMemCtrl_OI0
<=
1
'b
1
;
else
CoreMemCtrl_OI0
<=
CoreMemCtrl_l11
;
end
assign
CoreMemCtrl_IOOI
=
(
CoreMemCtrl_l01
)
?
1
'b
0
:
CoreMemCtrl_OI0
;
always
@
(
CoreMemCtrl_l1l
or
CoreMemCtrl_IOOI
or
CoreMemCtrl_OOOI
or
CoreMemCtrl_lO0
)
begin
:
CoreMemCtrl_O1OI
if
(
CoreMemCtrl_l1l
==
1
'b
1
)
begin
HREADYflash
=
CoreMemCtrl_IOOI
;
HRESPflash
=
CoreMemCtrl_OOOI
;
HRDATAflash
=
CoreMemCtrl_lO0
;
end
else
begin
HREADYflash
=
`CoreMemCtrl_OlI
;
HRESPflash
=
`CoreMemCtrl_IOI
;
HRDATAflash
=
32
'b
0
;
end
end
always
@
(
CoreMemCtrl_OO0
or
CoreMemCtrl_IOOI
or
CoreMemCtrl_OOOI
or
CoreMemCtrl_lO0
)
begin
:
CoreMemCtrl_I1OI
if
(
CoreMemCtrl_OO0
==
1
'b
1
)
begin
HREADYsram
=
CoreMemCtrl_IOOI
;
HRESPsram
=
CoreMemCtrl_OOOI
;
HRDATAsram
=
CoreMemCtrl_lO0
;
end
else
begin
HREADYsram
=
`CoreMemCtrl_OlI
;
HRESPsram
=
`CoreMemCtrl_IOI
;
HRDATAsram
=
32
'b
0
;
end
end
always
@
(
CoreMemCtrl_I1l
or
CoreMemCtrl_Ol0
or
CoreMemCtrl_O10
or
CoreMemCtrl_O01
or
HWDATA
)
begin
:
CoreMemCtrl_l1OI
if
(
CoreMemCtrl_I1l
&&
CoreMemCtrl_Ol0
)
begin
if
(
CoreMemCtrl_O10
==
1
'b
0
)
if
(
FLASH_16BIT
)
if
(
CoreMemCtrl_O01
)
CoreMemCtrl_lIl
=
{
HWDATA
[
31
:
16
]
,
HWDATA
[
31
:
16
]
}
;
else
CoreMemCtrl_lIl
=
{
HWDATA
[
15
:
0
]
,
HWDATA
[
15
:
0
]
}
;
else
CoreMemCtrl_lIl
=
HWDATA
[
31
:
0
]
;
else
CoreMemCtrl_lIl
=
HWDATA
[
31
:
0
]
;
end
else
begin
CoreMemCtrl_lIl
=
32
'b
0
;
end
end
always
@
(
CoreMemCtrl_Oll
or
CoreMemCtrl_lOOI
or
HSELflash
or
HSELsram
or
HWRITE
or
CoreMemCtrl_O01
or
CoreMemCtrl_lll
or
CoreMemCtrl_Il0
or
CoreMemCtrl_l1l
or
CoreMemCtrl_OO0
or
CoreMemCtrl_Ol0
or
CoreMemCtrl_OI0
)
begin
:
CoreMemCtrl_OOII
CoreMemCtrl_Ill
=
CoreMemCtrl_Oll
;
CoreMemCtrl_l00
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
0
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_O0
;
CoreMemCtrl_I10
=
1
'b
1
;
CoreMemCtrl_OO1
=
1
'b
1
;
CoreMemCtrl_lO1
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
1
;
CoreMemCtrl_Ol1
=
1
'b
1
;
CoreMemCtrl_ll1
=
1
'b
1
;
CoreMemCtrl_I01
=
1
'b
0
;
CoreMemCtrl_l01
=
1
'b
0
;
case
(
CoreMemCtrl_Oll
)
`CoreMemCtrl_O
:
begin
CoreMemCtrl_lIOI
=
32
'h
49444c45
;
CoreMemCtrl_l00
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
CoreMemCtrl_I10
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_l
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
CoreMemCtrl_l00
=
1
'b
1
;
end
end
else
begin
if
(
SYNC_SRAM
)
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Ol
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_Ol1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_O0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Il
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_I0
;
end
end
else
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_II
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_OI
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_READ
;
end
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
end
end
`CoreMemCtrl_l
:
begin
CoreMemCtrl_lIOI
=
32
'h
465f5752
;
CoreMemCtrl_I10
=
1
'b
0
;
CoreMemCtrl_OO1
=
1
'b
0
;
if
(
CoreMemCtrl_O01
)
CoreMemCtrl_I01
=
1
'b
1
;
if
(
CoreMemCtrl_lll
==
`CoreMemCtrl_O0
)
begin
if
(
FLASH_16BIT
&&
(
CoreMemCtrl_Il0
==
`CoreMemCtrl_O0I
)
&&
(
!
CoreMemCtrl_O01
)
)
begin
CoreMemCtrl_I01
=
1
'b
1
;
CoreMemCtrl_l01
=
1
'b
1
;
CoreMemCtrl_OO1
=
1
'b
1
;
CoreMemCtrl_Ill
=
`CoreMemCtrl_l
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_WRITE
;
end
else
begin
CoreMemCtrl_I10
=
1
'b
1
;
CoreMemCtrl_OO1
=
1
'b
1
;
CoreMemCtrl_I01
=
1
'b
0
;
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
CoreMemCtrl_I10
=
1
'b
0
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_l
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
end
end
else
begin
if
(
SYNC_SRAM
)
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Ol
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_Ol1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_O0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Il
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_I0
;
end
end
else
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_II
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_OI
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_READ
;
end
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
end
end
end
end
`CoreMemCtrl_I
:
begin
CoreMemCtrl_lIOI
=
32
'h
465f5244
;
CoreMemCtrl_I10
=
1
'b
0
;
CoreMemCtrl_lO1
=
1
'b
0
;
CoreMemCtrl_l00
=
1
'b
1
;
if
(
CoreMemCtrl_O01
)
CoreMemCtrl_I01
=
1
'b
1
;
if
(
CoreMemCtrl_lll
==
`CoreMemCtrl_O0
)
begin
if
(
FLASH_16BIT
&&
(
CoreMemCtrl_Il0
==
`CoreMemCtrl_O0I
)
&&
(
!
CoreMemCtrl_O01
)
)
begin
CoreMemCtrl_I01
=
1
'b
1
;
CoreMemCtrl_l01
=
1
'b
1
;
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
end
else
begin
CoreMemCtrl_I10
=
1
'b
1
;
CoreMemCtrl_I01
=
1
'b
0
;
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
CoreMemCtrl_I10
=
1
'b
0
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_lI
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_l0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
end
end
else
begin
if
(
SYNC_SRAM
)
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Ol
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_I0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Il
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_I0
;
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_lI
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_l0
;
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
end
end
end
end
`CoreMemCtrl_II
:
begin
CoreMemCtrl_lIOI
=
32
'h
41535752
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_Ol1
=
1
'b
0
;
if
(
CoreMemCtrl_lll
==
`CoreMemCtrl_O0
)
begin
CoreMemCtrl_II1
=
1
'b
1
;
CoreMemCtrl_Ol1
=
1
'b
1
;
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
CoreMemCtrl_I10
=
1
'b
0
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_l
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
end
end
else
begin
CoreMemCtrl_II1
=
1
'b
0
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_II
;
CoreMemCtrl_Ol1
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_OI
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_READ
;
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
CoreMemCtrl_II1
=
1
'b
0
;
end
end
end
`CoreMemCtrl_OI
:
begin
CoreMemCtrl_lIOI
=
32
'h
41535244
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_ll1
=
1
'b
0
;
CoreMemCtrl_l00
=
1
'b
1
;
if
(
CoreMemCtrl_lll
==
`CoreMemCtrl_O0
)
begin
CoreMemCtrl_II1
=
1
'b
1
;
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_lI
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_l0
;
end
else
begin
CoreMemCtrl_II1
=
1
'b
0
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_lI
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_l0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_OI
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_READ
;
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
CoreMemCtrl_II1
=
1
'b
0
;
end
end
end
`CoreMemCtrl_Ol
:
begin
CoreMemCtrl_lIOI
=
32
'h
53535752
;
if
(
!
CoreMemCtrl_OI0
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Ol
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_Ol1
=
1
'b
0
;
end
else
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
if
(
SHARED_RW
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_lI
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_l0
;
end
else
begin
CoreMemCtrl_I10
=
1
'b
0
;
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_l
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
end
end
end
else
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Ol
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_Ol1
=
1
'b
0
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_O0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Il
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_Ol1
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_I0
;
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
CoreMemCtrl_II1
=
1
'b
1
;
CoreMemCtrl_Ol1
=
1
'b
1
;
end
end
`CoreMemCtrl_Il
:
begin
CoreMemCtrl_lIOI
=
32
'h
53535231
;
CoreMemCtrl_Ill
=
`CoreMemCtrl_ll
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
0
;
end
`CoreMemCtrl_ll
:
begin
CoreMemCtrl_lIOI
=
32
'h
53535232
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_ll1
=
1
'b
0
;
if
(
CoreMemCtrl_lOOI
)
begin
if
(
HSELflash
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_lI
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_l0
;
end
else
begin
if
(
HWRITE
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_Ol
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
`CoreMemCtrl_I0
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_ll
;
CoreMemCtrl_II1
=
1
'b
0
;
CoreMemCtrl_O00
=
1
'b
0
;
end
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
CoreMemCtrl_II1
=
1
'b
1
;
end
end
`CoreMemCtrl_lI
:
begin
CoreMemCtrl_lIOI
=
32
'h
57414954
;
if
(
CoreMemCtrl_l1l
)
begin
CoreMemCtrl_I10
=
1
'b
0
;
if
(
CoreMemCtrl_Ol0
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_l
;
CoreMemCtrl_l00
=
1
'b
0
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_I
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_FLASH_READ
;
end
end
else
if
(
CoreMemCtrl_OO0
)
begin
CoreMemCtrl_II1
=
1
'b
0
;
if
(
CoreMemCtrl_Ol0
)
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_II
;
CoreMemCtrl_l00
=
1
'b
0
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_WRITE
;
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_OI
;
CoreMemCtrl_l00
=
1
'b
1
;
CoreMemCtrl_l0l
=
1
'b
1
;
CoreMemCtrl_I0l
=
NUM_WS_SRAM_READ
;
end
end
else
begin
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
end
end
default
:
begin
CoreMemCtrl_lIOI
=
32
'h
64656674
;
CoreMemCtrl_Ill
=
`CoreMemCtrl_O
;
end
endcase
end
always
@
(
posedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_IOII
if
(
!
HRESETn
)
begin
CoreMemCtrl_Oll
<=
`CoreMemCtrl_O
;
CoreMemCtrl_ll0
<=
1
'b
0
;
CoreMemCtrl_O10
<=
1
'b
1
;
CoreMemCtrl_OI1
<=
1
'b
1
;
CoreMemCtrl_I00
<=
1
'b
0
;
CoreMemCtrl_O01
<=
1
'b
0
;
end
else
begin
CoreMemCtrl_Oll
<=
CoreMemCtrl_Ill
;
CoreMemCtrl_ll0
<=
CoreMemCtrl_O00
;
CoreMemCtrl_O10
<=
CoreMemCtrl_I10
;
CoreMemCtrl_OI1
<=
CoreMemCtrl_II1
;
CoreMemCtrl_I00
<=
CoreMemCtrl_l00
;
CoreMemCtrl_O01
<=
CoreMemCtrl_I01
;
end
end
always
@
(
negedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_lOII
if
(
!
HRESETn
)
begin
CoreMemCtrl_IO1
<=
1
'b
1
;
CoreMemCtrl_l10
<=
1
'b
1
;
CoreMemCtrl_Il1
<=
1
'b
1
;
end
else
begin
CoreMemCtrl_IO1
<=
CoreMemCtrl_lO1
;
CoreMemCtrl_l10
<=
CoreMemCtrl_OO1
;
CoreMemCtrl_Il1
<=
CoreMemCtrl_ll1
;
end
end
generate
if
(
SYNC_SRAM
)
begin
always
@
(
posedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_OIII
if
(
!
HRESETn
)
CoreMemCtrl_lI1
<=
1
'b
1
;
else
CoreMemCtrl_lI1
<=
CoreMemCtrl_Ol1
;
end
end
else
begin
always
@
(
negedge
HCLK
or
negedge
HRESETn
)
begin
:
CoreMemCtrl_IIII
if
(
!
HRESETn
)
CoreMemCtrl_lI1
<=
1
'b
1
;
else
CoreMemCtrl_lI1
<=
CoreMemCtrl_Ol1
;
end
end
endgenerate
always
@
(
CoreMemCtrl_O10
or
CoreMemCtrl_O01
or
CoreMemCtrl_II0
or
CoreMemCtrl_ll0
or
HADDR
)
begin
:
CoreMemCtrl_lIII
if
(
CoreMemCtrl_O10
==
1
'b
0
&&
FLASH_16BIT
)
begin
if
(
CoreMemCtrl_O01
)
MemAddr
=
{
1
'b
0
,
CoreMemCtrl_II0
[
27
:
2
]
,
1
'b
1
}
;
else
MemAddr
=
{
1
'b
0
,
CoreMemCtrl_II0
[
27
:
2
]
,
1
'b
0
}
;
end
else
begin
if
(
CoreMemCtrl_ll0
)
MemAddr
=
{
2
'b
00
,
CoreMemCtrl_II0
[
27
:
2
]
}
;
else
MemAddr
=
{
2
'b
00
,
HADDR
[
27
:
2
]
}
;
end
end
assign
CoreMemCtrl_OOOI
=
`CoreMemCtrl_IOI
;
always
@
(
CoreMemCtrl_OI1
or
CoreMemCtrl_Il0
or
CoreMemCtrl_II0
)
begin
:
CoreMemCtrl_OlII
if
(
CoreMemCtrl_OI1
==
1
'b
0
)
begin
case
(
CoreMemCtrl_Il0
)
`CoreMemCtrl_IlI
:
case
(
CoreMemCtrl_II0
[
1
:
0
]
)
2
'b
00
:
SramByteN
=
`CoreMemCtrl_lOl
;
2
'b
01
:
SramByteN
=
`CoreMemCtrl_IOl
;
2
'b
10
:
SramByteN
=
`CoreMemCtrl_OOl
;
2
'b
11
:
SramByteN
=
`CoreMemCtrl_l1I
;
endcase
`CoreMemCtrl_llI
:
case
(
CoreMemCtrl_II0
[
1
]
)
1
'b
0
:
SramByteN
=
`CoreMemCtrl_I1I
;
1
'b
1
:
SramByteN
=
`CoreMemCtrl_O1I
;
endcase
`CoreMemCtrl_O0I
:
SramByteN
=
`CoreMemCtrl_l0I
;
default
:
SramByteN
=
`CoreMemCtrl_I0I
;
endcase
end
else
begin
SramByteN
=
`CoreMemCtrl_I0I
;
end
end
always
@
(
posedge
HCLK
)
begin
:
CoreMemCtrl_IlII
if
(
CoreMemCtrl_lll
==
`CoreMemCtrl_O0
)
CoreMemCtrl_IO0
<=
CoreMemCtrl_IIl
[
15
:
0
]
;
end
always
@
(
CoreMemCtrl_O11
or
CoreMemCtrl_O10
or
CoreMemCtrl_Il0
or
CoreMemCtrl_II0
or
CoreMemCtrl_IIl
)
begin
:
CoreMemCtrl_llII
if
(
CoreMemCtrl_O11
==
1
'b
0
)
begin
if
(
CoreMemCtrl_O10
==
1
'b
0
&&
FLASH_16BIT
)
begin
case
(
CoreMemCtrl_Il0
)
`CoreMemCtrl_IlI
:
case
(
CoreMemCtrl_II0
[
0
]
)
1
'b
0
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
7
:
0
]
,
CoreMemCtrl_IIl
[
7
:
0
]
,
CoreMemCtrl_IIl
[
7
:
0
]
,
CoreMemCtrl_IIl
[
7
:
0
]
}
;
1
'b
1
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
15
:
8
]
,
CoreMemCtrl_IIl
[
15
:
8
]
,
CoreMemCtrl_IIl
[
15
:
8
]
,
CoreMemCtrl_IIl
[
15
:
8
]
}
;
endcase
`CoreMemCtrl_llI
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
15
:
0
]
,
CoreMemCtrl_IIl
[
15
:
0
]
}
;
`CoreMemCtrl_O0I
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
15
:
0
]
,
CoreMemCtrl_IO0
[
15
:
0
]
}
;
default
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
15
:
0
]
,
CoreMemCtrl_IIl
[
15
:
0
]
}
;
endcase
end
else
begin
case
(
CoreMemCtrl_Il0
)
`CoreMemCtrl_IlI
:
case
(
CoreMemCtrl_II0
[
1
:
0
]
)
2
'b
00
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
7
:
0
]
,
CoreMemCtrl_IIl
[
7
:
0
]
,
CoreMemCtrl_IIl
[
7
:
0
]
,
CoreMemCtrl_IIl
[
7
:
0
]
}
;
2
'b
01
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
15
:
8
]
,
CoreMemCtrl_IIl
[
15
:
8
]
,
CoreMemCtrl_IIl
[
15
:
8
]
,
CoreMemCtrl_IIl
[
15
:
8
]
}
;
2
'b
10
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
23
:
16
]
,
CoreMemCtrl_IIl
[
23
:
16
]
,
CoreMemCtrl_IIl
[
23
:
16
]
,
CoreMemCtrl_IIl
[
23
:
16
]
}
;
2
'b
11
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
31
:
24
]
,
CoreMemCtrl_IIl
[
31
:
24
]
,
CoreMemCtrl_IIl
[
31
:
24
]
,
CoreMemCtrl_IIl
[
31
:
24
]
}
;
endcase
`CoreMemCtrl_llI
:
case
(
CoreMemCtrl_II0
[
1
]
)
1
'b
0
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
15
:
0
]
,
CoreMemCtrl_IIl
[
15
:
0
]
}
;
1
'b
1
:
CoreMemCtrl_lO0
=
{
CoreMemCtrl_IIl
[
31
:
16
]
,
CoreMemCtrl_IIl
[
31
:
16
]
}
;
endcase
`CoreMemCtrl_O0I
:
CoreMemCtrl_lO0
=
CoreMemCtrl_IIl
[
31
:
0
]
;
default
:
CoreMemCtrl_lO0
=
CoreMemCtrl_IIl
[
31
:
0
]
;
endcase
end
end
else
begin
CoreMemCtrl_lO0
=
32
'b
0
;
end
end
endmodule
